#Region "Copyright Syncfusion Inc. 2001 - 2008"
'
'  Copyright Syncfusion Inc. 2001 - 2008. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region



Imports Microsoft.VisualBasic
Imports System
Imports System.ComponentModel
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Diagram.Controls
Imports Syncfusion.Windows.Forms.Tools
Imports System.Drawing
Imports System.Drawing.Drawing2D
Imports System.IO

Namespace Syncfusion.Windows.Forms.Diagram.Samples.QuickStart
	Public Class MainForm 'Office2007Form
		Inherits Form
		#Region "Class members"
		Private openFileDialog1 As OpenFileDialog
		Private saveFileDialog1 As SaveFileDialog
		Private model1 As Model
		Private groupBarItemTestSymbols As GroupBarItem
		Private diagram1 As Syncfusion.Windows.Forms.Diagram.Controls.Diagram
		Private menuStrip1 As MenuStrip
		Private fileToolStripMenuItem As ToolStripMenuItem
		Private openToolStripMenuItem As ToolStripMenuItem
		Private saveToolStripMenuItem As ToolStripMenuItem
		Private exitToolStripMenuItem As ToolStripMenuItem
		Private label5 As System.Windows.Forms.Label
		Private paletteGroupBar1 As PaletteGroupBar
		Private paletteGroupView1 As PaletteGroupView
		Private groupBarItem1 As GroupBarItem
		Private gradientPanel1 As GradientPanel
		Private splitter1 As Splitter
		Private PropertyEditor1 As PropertyEditor
		Private pnlTrackLineStyle As Panel
		Private label1 As System.Windows.Forms.Label
		Private label6 As System.Windows.Forms.Label
		Private label4 As System.Windows.Forms.Label
		Private label3 As System.Windows.Forms.Label
		Private label2 As System.Windows.Forms.Label
		Private lineColor As ColorPickerButton
		Private upDownWidth As NumericUpDown
		Private btnApply As Button
		Private cmbDashStyle As ComboBox
		Private splitContainer1 As SplitContainer
		Private editToolStripMenuItem As ToolStripMenuItem
		Private WithEvents copyToolStripMenuItem As ToolStripMenuItem
		Private WithEvents pasteToolStripMenuItem As ToolStripMenuItem
		Private WithEvents invalidsCheckAndDeleteToolStripMenuItem As ToolStripMenuItem
		Private components As IContainer
		#End Region

		Protected broken_connectors As NodeCollection = New NodeCollection()
		Private WithEvents button1 As Button
		Protected palette As SymbolPalette = New SymbolPalette("Custom Palette")
		Protected grp As Group = New Group()

		#Region "Class initialize/finalize methods"
		Public Sub New()

			InitializeComponent()
			Me.diagram1.Model = Me.model1

			AddHandler diagram1.Model.EventSink.ConnectionsChanged, AddressOf EventSink_ConnectionsChanged
			AddHandler diagram1.Model.EventSink.NodeCollectionChanged, AddressOf EventSink_NodeCollectionChanged
			AddHandler diagram1.MouseClick, AddressOf diagram1_MouseClick

			Dim rndRect1 As RoundRect = New RoundRect(80F, 70F, 120F, 60F, MeasureUnits.Pixel)
			rndRect1.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyleType.LinearGradient
			rndRect1.FillStyle.ForeColor = System.Drawing.Color.Orange
			rndRect1.FillStyle.Color = System.Drawing.Color.OrangeRed
			rndRect1.EnableCentralPort = True
			AddLabel(rndRect1)
			Me.palette.AppendChild(rndRect1)

			Dim rndRect2 As RoundRect = New RoundRect(280F, 270F, 120F, 60F, MeasureUnits.Pixel)
			rndRect2.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyleType.LinearGradient
			rndRect2.FillStyle.ForeColor = System.Drawing.Color.Orange
			rndRect2.FillStyle.Color = System.Drawing.Color.OrangeRed
			rndRect2.EnableCentralPort = True
			AddLabel(rndRect2)
			Me.palette.AppendChild(rndRect2)

			'
			'The direction is decided tht points that you give for connecting - <start point> and <end point>
			'                                              -   AJEET [SYNCFUSION]
			Dim m_connector As OrthogonalConnector = New OrthogonalConnector(New PointF(-50, 50), PointF.Empty)
			m_connector.HeadDecorator.DecoratorShape = DecoratorShape.Open45Arrow

			'm_connector.SetPoints();
			Me.palette.AppendChild(m_connector)

			'
			'Group rectangle
			'
			Dim g_rect As Rectangle = New Rectangle(0, 0, 150, 50)
			g_rect.Name = "My Rect"
			'
			'Group Text Node
			'
			Dim g_text As TextNode = New TextNode("Some node")
			g_text.Text = "Hey the text value here"
			g_text.Name = "My Text"
			g_text.PinPoint = g_rect.PinPoint
			'
			'To Auto Resize the Text Node to the Value set
			'                          -   AJEET [SYNCFUSION]
			g_text.SizeToText(SizeF.Empty)

			'
			'Group
			'
			grp.Name = "My Group"
			grp.AppendChild(g_rect)
			grp.AppendChild(g_text)

			Me.palette.AppendChild(grp)

			Me.paletteGroupView1.LoadPalette(palette)
		End Sub

		Private Sub diagram1_MouseClick(ByVal sender As Object, ByVal e As MouseEventArgs)
			Dim m_node As Node = Me.diagram1.Controller.GetNodeAtPoint(e.Location)
			If m_node IsNot Nothing Then
				Console.WriteLine("Selected")
			End If
			If m_node Is Nothing Then
				Console.WriteLine("Not selected")
			End If
		End Sub

		Private Sub EventSink_NodeCollectionChanged(ByVal evtArgs As CollectionExEventArgs)
			Me.diagram1.Controller.SelectionList.Clear()
			If TypeOf evtArgs.Element Is OrthogonalConnector Then
				MessageBox.Show("changed the default direction")
				Dim t_connector As OrthogonalConnector = CType(evtArgs.Element, OrthogonalConnector)
				t_connector.HeadingHead = CompassHeading.North
				t_connector.HeadingTail = CompassHeading.West
			End If
		End Sub

		Private Sub EventSink_ConnectionsChanged(ByVal evtArgs As CollectionExEventArgs)
			If TypeOf evtArgs.Element Is EndPoint Then
				Dim e As EndPoint = CType(evtArgs.Element, EndPoint)
				Dim t_connector As OrthogonalConnector = TryCast(e.Container, OrthogonalConnector)
				Dim h_node As Node = TryCast(t_connector.ToNode, Node)
				Dim t_node As Node = TryCast(t_connector.FromNode, Node)
				If TypeOf e Is HeadEndPoint AndAlso h_node IsNot Nothing Then
					Console.WriteLine("The Endpoint Connector connected is: " & e.ToString())
					Console.WriteLine("Node connected at HeadEndPoint is: " & h_node.Name.ToString() & " and the connector is connected at the direction of: " & t_connector.HeadingHead.ToString())
				End If
				If TypeOf e Is TailEndPoint AndAlso t_node IsNot Nothing Then
					Console.WriteLine("The Endpoint Connector connected is: " & e.ToString())
					Console.WriteLine("Node connected at TailEndPoint is: " & t_node.Name.ToString() & " and the connector is connected at the direction of: " & t_connector.HeadingTail.ToString())
				End If

			End If
		End Sub

		Private Sub AddLabel(ByVal rrect As RoundRect)
			Dim m_lbl As Label = New Label()
			m_lbl.Text = "Custom Node"
			m_lbl.FontStyle.Family = "Cambria"
			m_lbl.FontStyle.Bold = True
			m_lbl.FontStyle.Italic = True
			m_lbl.FontStyle.Size = 10
			rrect.Labels.Add(m_lbl)
		End Sub

		Protected Overrides Overloads Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If components IsNot Nothing Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		#Region "Windows Form Designer generated code"
		''' <summary>
		''' Required method for Designer support - do not modify
		''' the contents of this method with the code editor.
		''' </summary>
		Private Sub InitializeComponent()
			Me.components = New System.ComponentModel.Container()
			Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(MainForm))
			Me.model1 = New Syncfusion.Windows.Forms.Diagram.Model(Me.components)
			Me.openFileDialog1 = New System.Windows.Forms.OpenFileDialog()
			Me.saveFileDialog1 = New System.Windows.Forms.SaveFileDialog()
			Me.groupBarItemTestSymbols = New Syncfusion.Windows.Forms.Tools.GroupBarItem()
			Me.diagram1 = New Syncfusion.Windows.Forms.Diagram.Controls.Diagram(Me.components)
			Me.paletteGroupBar1 = New Syncfusion.Windows.Forms.Diagram.Controls.PaletteGroupBar(Me.components)
			Me.paletteGroupView1 = New Syncfusion.Windows.Forms.Diagram.Controls.PaletteGroupView(Me.components)
			Me.groupBarItem1 = New Syncfusion.Windows.Forms.Tools.GroupBarItem()
			Me.splitContainer1 = New System.Windows.Forms.SplitContainer()
			Me.PropertyEditor1 = New Syncfusion.Windows.Forms.Diagram.Controls.PropertyEditor(Me.components)
			Me.pnlTrackLineStyle = New System.Windows.Forms.Panel()
			Me.btnApply = New System.Windows.Forms.Button()
			Me.cmbDashStyle = New System.Windows.Forms.ComboBox()
			Me.upDownWidth = New System.Windows.Forms.NumericUpDown()
			Me.lineColor = New Syncfusion.Windows.Forms.ColorPickerButton()
			Me.label6 = New System.Windows.Forms.Label()
			Me.label4 = New System.Windows.Forms.Label()
			Me.label3 = New System.Windows.Forms.Label()
			Me.label2 = New System.Windows.Forms.Label()
			Me.label1 = New System.Windows.Forms.Label()
			Me.menuStrip1 = New System.Windows.Forms.MenuStrip()
			Me.fileToolStripMenuItem = New System.Windows.Forms.ToolStripMenuItem()
			Me.openToolStripMenuItem = New System.Windows.Forms.ToolStripMenuItem()
			Me.saveToolStripMenuItem = New System.Windows.Forms.ToolStripMenuItem()
			Me.exitToolStripMenuItem = New System.Windows.Forms.ToolStripMenuItem()
			Me.editToolStripMenuItem = New System.Windows.Forms.ToolStripMenuItem()
			Me.copyToolStripMenuItem = New System.Windows.Forms.ToolStripMenuItem()
			Me.pasteToolStripMenuItem = New System.Windows.Forms.ToolStripMenuItem()
			Me.invalidsCheckAndDeleteToolStripMenuItem = New System.Windows.Forms.ToolStripMenuItem()
			Me.label5 = New System.Windows.Forms.Label()
			Me.gradientPanel1 = New Syncfusion.Windows.Forms.Tools.GradientPanel()
			Me.splitter1 = New System.Windows.Forms.Splitter()
			Me.button1 = New System.Windows.Forms.Button()
			CType(Me.model1, System.ComponentModel.ISupportInitialize).BeginInit()
			CType(Me.diagram1, System.ComponentModel.ISupportInitialize).BeginInit()
			CType(Me.paletteGroupBar1, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.paletteGroupBar1.SuspendLayout()
			Me.splitContainer1.Panel1.SuspendLayout()
			Me.splitContainer1.Panel2.SuspendLayout()
			Me.splitContainer1.SuspendLayout()
			Me.pnlTrackLineStyle.SuspendLayout()
			CType(Me.upDownWidth, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.menuStrip1.SuspendLayout()
			CType(Me.gradientPanel1, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.gradientPanel1.SuspendLayout()
			Me.SuspendLayout()
			' 
			' model1
			' 
			Me.model1.BackgroundStyle.Color = System.Drawing.Color.White
			Me.model1.BackgroundStyle.PathBrushStyle = Syncfusion.Windows.Forms.Diagram.PathGradientBrushStyle.RectangleCenter
			Me.model1.CanUngroup = False
			Me.model1.DocumentScale = (CType(resources.GetObject("model1.DocumentScale"), Syncfusion.Windows.Forms.Diagram.PageScale))
			Me.model1.DocumentSize = (CType(resources.GetObject("model1.DocumentSize"), Syncfusion.Windows.Forms.Diagram.PageSize))
			Me.model1.LineStyle.DashPattern = Nothing
			Me.model1.LineStyle.LineColor = System.Drawing.Color.Black
			Me.model1.LogicalSize = New System.Drawing.SizeF(600F, 1000F)
			Me.model1.OptimizeLineBridging = False
			Me.model1.RenderingStyle.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality
			Me.model1.ShadowStyle.Color = System.Drawing.Color.DimGray
			Me.model1.ShadowStyle.ColorAlphaFactor = 255
			Me.model1.ShadowStyle.ForeColor = System.Drawing.Color.DimGray
			Me.model1.ShadowStyle.ForeColorAlphaFactor = 255
			Me.model1.Size = New System.Drawing.SizeF(600F, 1000F)
			' 
			' saveFileDialog1
			' 
			Me.saveFileDialog1.Filter = "Essential Diagram Files|*.edp|All files|*.*"
			' 
			' groupBarItemTestSymbols
			' 
			Me.groupBarItemTestSymbols.Client = Nothing
			Me.groupBarItemTestSymbols.Text = "Test Symbols"
			' 
			' diagram1
			' 
			Me.diagram1.AllowDrop = True
			Me.diagram1.BackColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(233))))), (CInt(Fix((CByte(241))))), (CInt(Fix((CByte(250))))))
			Me.diagram1.Controller.PasteOffset = New System.Drawing.SizeF(10F, 10F)
			Me.diagram1.Dock = System.Windows.Forms.DockStyle.Fill
			Me.diagram1.HScroll = True
			Me.diagram1.LayoutManager = Nothing
			Me.diagram1.Location = New System.Drawing.Point(153, 25)
			Me.diagram1.Model = Nothing
			Me.diagram1.Name = "diagram1"
			Me.diagram1.ScrollVirtualBounds = (CType(resources.GetObject("diagram1.ScrollVirtualBounds"), System.Drawing.RectangleF))
			Me.diagram1.ShowRulers = False
			Me.diagram1.Size = New System.Drawing.Size(385, 466)
			Me.diagram1.SmartSizeBox = False
			Me.diagram1.TabIndex = 7
			' 
			' 
			' 
			Me.diagram1.View.BackgroundColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(233))))), (CInt(Fix((CByte(241))))), (CInt(Fix((CByte(250))))))
			Me.diagram1.View.Grid.HorizontalSpacing = 10F
			Me.diagram1.View.Grid.VerticalSpacing = 10F
			Me.diagram1.View.MouseTrackingEnabled = False
			Me.diagram1.View.ScrollVirtualBounds = (CType(resources.GetObject("diagram1.View.ScrollVirtualBounds"), System.Drawing.RectangleF))
			Me.diagram1.VScroll = True
			' 
			' paletteGroupBar1
			' 
			Me.paletteGroupBar1.AllowDrop = True
			Me.paletteGroupBar1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
			Me.paletteGroupBar1.Controls.Add(Me.paletteGroupView1)
			Me.paletteGroupBar1.Dock = System.Windows.Forms.DockStyle.Left
			Me.paletteGroupBar1.EditMode = False
			Me.paletteGroupBar1.Font = New System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.paletteGroupBar1.ForeColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(33))))), (CInt(Fix((CByte(77))))), (CInt(Fix((CByte(140))))))
			Me.paletteGroupBar1.GroupBarItems.AddRange(New Syncfusion.Windows.Forms.Tools.GroupBarItem() { Me.groupBarItem1})
			Me.paletteGroupBar1.Location = New System.Drawing.Point(0, 25)
			Me.paletteGroupBar1.Name = "paletteGroupBar1"
			Me.paletteGroupBar1.PopupClientSize = New System.Drawing.Size(0, 0)
			Me.paletteGroupBar1.SelectedItem = 0
			Me.paletteGroupBar1.Size = New System.Drawing.Size(153, 466)
			Me.paletteGroupBar1.TabIndex = 6
			Me.paletteGroupBar1.Text = "paletteGroupBar1"
			Me.paletteGroupBar1.TextAlign = Syncfusion.Windows.Forms.Tools.TextAlignment.Left
			Me.paletteGroupBar1.VisualStyle = Syncfusion.Windows.Forms.VisualStyle.VS2005
			' 
			' paletteGroupView1
			' 
			Me.paletteGroupView1.BackColor = System.Drawing.Color.White
			Me.paletteGroupView1.BorderStyle = System.Windows.Forms.BorderStyle.None
			Me.paletteGroupView1.ButtonView = True
			Me.paletteGroupView1.Location = New System.Drawing.Point(1, 23)
			Me.paletteGroupView1.Name = "paletteGroupView1"
			Me.paletteGroupView1.SelectingItemColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(218))))), (CInt(Fix((CByte(231))))), (CInt(Fix((CByte(249))))))
			Me.paletteGroupView1.Size = New System.Drawing.Size(151, 442)
			Me.paletteGroupView1.TabIndex = 0
			Me.paletteGroupView1.Text = "paletteGroupView1"
			' 
			' groupBarItem1
			' 
			Me.groupBarItem1.BackColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(191))))), (CInt(Fix((CByte(219))))), (CInt(Fix((CByte(254))))))
			Me.groupBarItem1.Client = Me.paletteGroupView1
			Me.groupBarItem1.Text = "Test Symbols"
			' 
			' splitContainer1
			' 
			Me.splitContainer1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
			Me.splitContainer1.Dock = System.Windows.Forms.DockStyle.Right
			Me.splitContainer1.Location = New System.Drawing.Point(543, 25)
			Me.splitContainer1.Name = "splitContainer1"
			Me.splitContainer1.Orientation = System.Windows.Forms.Orientation.Horizontal
			' 
			' splitContainer1.Panel1
			' 
			Me.splitContainer1.Panel1.Controls.Add(Me.PropertyEditor1)
			' 
			' splitContainer1.Panel2
			' 
			Me.splitContainer1.Panel2.Controls.Add(Me.pnlTrackLineStyle)
			Me.splitContainer1.Size = New System.Drawing.Size(206, 466)
			Me.splitContainer1.SplitterDistance = 259
			Me.splitContainer1.TabIndex = 1
			' 
			' PropertyEditor1
			' 
			Me.PropertyEditor1.BackColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(119))))), (CInt(Fix((CByte(152))))), (CInt(Fix((CByte(194))))))
			Me.PropertyEditor1.Diagram = Me.diagram1
			Me.PropertyEditor1.Dock = System.Windows.Forms.DockStyle.Fill
			Me.PropertyEditor1.ForeColor = System.Drawing.Color.MidnightBlue
			Me.PropertyEditor1.Location = New System.Drawing.Point(0, 0)
			Me.PropertyEditor1.Name = "PropertyEditor1"
			Me.PropertyEditor1.Size = New System.Drawing.Size(204, 257)
			Me.PropertyEditor1.TabIndex = 0
			' 
			' pnlTrackLineStyle
			' 
			Me.pnlTrackLineStyle.BackColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(227))))), (CInt(Fix((CByte(239))))), (CInt(Fix((CByte(255))))))
			Me.pnlTrackLineStyle.Controls.Add(Me.btnApply)
			Me.pnlTrackLineStyle.Controls.Add(Me.cmbDashStyle)
			Me.pnlTrackLineStyle.Controls.Add(Me.upDownWidth)
			Me.pnlTrackLineStyle.Controls.Add(Me.lineColor)
			Me.pnlTrackLineStyle.Controls.Add(Me.label6)
			Me.pnlTrackLineStyle.Controls.Add(Me.label4)
			Me.pnlTrackLineStyle.Controls.Add(Me.label3)
			Me.pnlTrackLineStyle.Controls.Add(Me.label2)
			Me.pnlTrackLineStyle.Controls.Add(Me.label1)
			Me.pnlTrackLineStyle.Dock = System.Windows.Forms.DockStyle.Fill
			Me.pnlTrackLineStyle.Location = New System.Drawing.Point(0, 0)
			Me.pnlTrackLineStyle.Name = "pnlTrackLineStyle"
			Me.pnlTrackLineStyle.Size = New System.Drawing.Size(204, 201)
			Me.pnlTrackLineStyle.TabIndex = 1
			' 
			' btnApply
			' 
			Me.btnApply.FlatStyle = System.Windows.Forms.FlatStyle.System
			Me.btnApply.Font = New System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.btnApply.Location = New System.Drawing.Point(69, 140)
			Me.btnApply.Name = "btnApply"
			Me.btnApply.Size = New System.Drawing.Size(75, 23)
			Me.btnApply.TabIndex = 156
			Me.btnApply.Text = "Apply"
			Me.btnApply.UseVisualStyleBackColor = True
			' 
			' cmbDashStyle
			' 
			Me.cmbDashStyle.FlatStyle = System.Windows.Forms.FlatStyle.System
			Me.cmbDashStyle.FormattingEnabled = True
			Me.cmbDashStyle.Items.AddRange(New Object() { "Dash", "DashDot", "DashDotDot", "Dot", "Solid"})
			Me.cmbDashStyle.Location = New System.Drawing.Point(72, 102)
			Me.cmbDashStyle.Name = "cmbDashStyle"
			Me.cmbDashStyle.Size = New System.Drawing.Size(101, 22)
			Me.cmbDashStyle.TabIndex = 7
			' 
			' upDownWidth
			' 
			Me.upDownWidth.Location = New System.Drawing.Point(72, 72)
			Me.upDownWidth.Maximum = New Decimal(New Integer() { 20, 0, 0, 0})
			Me.upDownWidth.Minimum = New Decimal(New Integer() { 1, 0, 0, 0})
			Me.upDownWidth.Name = "upDownWidth"
			Me.upDownWidth.Size = New System.Drawing.Size(101, 20)
			Me.upDownWidth.TabIndex = 6
			Me.upDownWidth.Value = New Decimal(New Integer() { 1, 0, 0, 0})
			' 
			' lineColor
			' 
			Me.lineColor.BackColor = System.Drawing.Color.Gray
			Me.lineColor.ColorUISize = New System.Drawing.Size(208, 230)
			Me.lineColor.FlatStyle = System.Windows.Forms.FlatStyle.Flat
			Me.lineColor.Location = New System.Drawing.Point(72, 35)
			Me.lineColor.Name = "lineColor"
			Me.lineColor.SelectedAsBackcolor = True
			Me.lineColor.SelectedAsText = True
			Me.lineColor.SelectedColor = System.Drawing.Color.Gray
			Me.lineColor.SelectedColorGroup = Syncfusion.Windows.Forms.ColorUISelectedGroup.None
			Me.lineColor.Size = New System.Drawing.Size(101, 25)
			Me.lineColor.TabIndex = 5
			Me.lineColor.Text = "Gray"
			Me.lineColor.UseVisualStyleBackColor = False
			' 
			' label6
			' 
			Me.label6.AutoSize = True
			Me.label6.Font = New System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.label6.Location = New System.Drawing.Point(10, 105)
			Me.label6.Name = "label6"
			Me.label6.Size = New System.Drawing.Size(59, 14)
			Me.label6.TabIndex = 4
			Me.label6.Text = "DashStyle:"
			' 
			' label4
			' 
			Me.label4.AutoSize = True
			Me.label4.Font = New System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.label4.Location = New System.Drawing.Point(10, 76)
			Me.label4.Name = "label4"
			Me.label4.Size = New System.Drawing.Size(60, 14)
			Me.label4.TabIndex = 3
			Me.label4.Text = "Line Width:"
			' 
			' label3
			' 
			Me.label3.AutoSize = True
			Me.label3.Font = New System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.label3.Location = New System.Drawing.Point(10, 39)
			Me.label3.Name = "label3"
			Me.label3.Size = New System.Drawing.Size(55, 14)
			Me.label3.TabIndex = 2
			Me.label3.Text = "LineColor:"
			' 
			' label2
			' 
			Me.label2.BackColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(158))))), (CInt(Fix((CByte(171))))), (CInt(Fix((CByte(206))))))
			Me.label2.Location = New System.Drawing.Point(18, 24)
			Me.label2.Name = "label2"
			Me.label2.Size = New System.Drawing.Size(160, 1)
			Me.label2.TabIndex = 1
			' 
			' label1
			' 
			Me.label1.Font = New System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.label1.ForeColor = System.Drawing.Color.MidnightBlue
			Me.label1.Image = (CType(resources.GetObject("label1.Image"), System.Drawing.Image))
			Me.label1.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft
			Me.label1.Location = New System.Drawing.Point(10, 3)
			Me.label1.Name = "label1"
			Me.label1.Size = New System.Drawing.Size(134, 18)
			Me.label1.TabIndex = 0
			Me.label1.Text = "      TrackLine Style"
			Me.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
			' 
			' menuStrip1
			' 
			Me.menuStrip1.BackColor = System.Drawing.Color.Transparent
			Me.menuStrip1.Dock = System.Windows.Forms.DockStyle.Fill
			Me.menuStrip1.Font = New System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.menuStrip1.Items.AddRange(New System.Windows.Forms.ToolStripItem() { Me.fileToolStripMenuItem, Me.editToolStripMenuItem})
			Me.menuStrip1.LayoutStyle = System.Windows.Forms.ToolStripLayoutStyle.HorizontalStackWithOverflow
			Me.menuStrip1.Location = New System.Drawing.Point(0, 0)
			Me.menuStrip1.Name = "menuStrip1"
			Me.menuStrip1.RenderMode = System.Windows.Forms.ToolStripRenderMode.System
			Me.menuStrip1.Size = New System.Drawing.Size(747, 23)
			Me.menuStrip1.TabIndex = 8
			Me.menuStrip1.Text = "menuStrip1"
			' 
			' fileToolStripMenuItem
			' 
			Me.fileToolStripMenuItem.DropDownItems.AddRange(New System.Windows.Forms.ToolStripItem() { Me.openToolStripMenuItem, Me.saveToolStripMenuItem, Me.exitToolStripMenuItem})
			Me.fileToolStripMenuItem.Name = "fileToolStripMenuItem"
			Me.fileToolStripMenuItem.Size = New System.Drawing.Size(35, 19)
			Me.fileToolStripMenuItem.Text = "&File"
			' 
			' openToolStripMenuItem
			' 
			Me.openToolStripMenuItem.Image = (CType(resources.GetObject("openToolStripMenuItem.Image"), System.Drawing.Image))
			Me.openToolStripMenuItem.Name = "openToolStripMenuItem"
			Me.openToolStripMenuItem.Size = New System.Drawing.Size(100, 22)
			Me.openToolStripMenuItem.Tag = "open"
			Me.openToolStripMenuItem.Text = "&Open"
			' 
			' saveToolStripMenuItem
			' 
			Me.saveToolStripMenuItem.Image = (CType(resources.GetObject("saveToolStripMenuItem.Image"), System.Drawing.Image))
			Me.saveToolStripMenuItem.Name = "saveToolStripMenuItem"
			Me.saveToolStripMenuItem.Size = New System.Drawing.Size(100, 22)
			Me.saveToolStripMenuItem.Tag = "save"
			Me.saveToolStripMenuItem.Text = "&Save"
			' 
			' exitToolStripMenuItem
			' 
			Me.exitToolStripMenuItem.Image = (CType(resources.GetObject("exitToolStripMenuItem.Image"), System.Drawing.Image))
			Me.exitToolStripMenuItem.Name = "exitToolStripMenuItem"
			Me.exitToolStripMenuItem.Size = New System.Drawing.Size(100, 22)
			Me.exitToolStripMenuItem.Tag = "exit"
			Me.exitToolStripMenuItem.Text = "&Exit"
			' 
			' editToolStripMenuItem
			' 
			Me.editToolStripMenuItem.DropDownItems.AddRange(New System.Windows.Forms.ToolStripItem() { Me.copyToolStripMenuItem, Me.pasteToolStripMenuItem, Me.invalidsCheckAndDeleteToolStripMenuItem})
			Me.editToolStripMenuItem.Name = "editToolStripMenuItem"
			Me.editToolStripMenuItem.Size = New System.Drawing.Size(36, 19)
			Me.editToolStripMenuItem.Text = "Edit"
			' 
			' copyToolStripMenuItem
			' 
			Me.copyToolStripMenuItem.Name = "copyToolStripMenuItem"
			Me.copyToolStripMenuItem.Size = New System.Drawing.Size(196, 22)
			Me.copyToolStripMenuItem.Text = "Copy"
'			Me.copyToolStripMenuItem.Click += New System.EventHandler(Me.copyToolStripMenuItem_Click);
			' 
			' pasteToolStripMenuItem
			' 
			Me.pasteToolStripMenuItem.Name = "pasteToolStripMenuItem"
			Me.pasteToolStripMenuItem.Size = New System.Drawing.Size(196, 22)
			Me.pasteToolStripMenuItem.Text = "Paste"
'			Me.pasteToolStripMenuItem.Click += New System.EventHandler(Me.pasteToolStripMenuItem_Click);
			' 
			' invalidsCheckAndDeleteToolStripMenuItem
			' 
			Me.invalidsCheckAndDeleteToolStripMenuItem.Name = "invalidsCheckAndDeleteToolStripMenuItem"
			Me.invalidsCheckAndDeleteToolStripMenuItem.Size = New System.Drawing.Size(196, 22)
			Me.invalidsCheckAndDeleteToolStripMenuItem.Text = "Invalids Check and delete"
'			Me.invalidsCheckAndDeleteToolStripMenuItem.Click += New System.EventHandler(Me.invalidsCheckAndDeleteToolStripMenuItem_Click);
			' 
			' label5
			' 
			Me.label5.BackColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(191))))), (CInt(Fix((CByte(219))))), (CInt(Fix((CByte(254))))))
			Me.label5.Dock = System.Windows.Forms.DockStyle.Bottom
			Me.label5.Font = New System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.label5.ForeColor = System.Drawing.Color.MidnightBlue
			Me.label5.Image = (CType(resources.GetObject("label5.Image"), System.Drawing.Image))
			Me.label5.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft
			Me.label5.Location = New System.Drawing.Point(0, 491)
			Me.label5.Name = "label5"
			Me.label5.Size = New System.Drawing.Size(749, 55)
			Me.label5.TabIndex = 2
			Me.label5.Text = "           Custom symbols designed using the Essential Diagram Symbol Designer ut" & "ility can be dragged from the " & Constants.vbCrLf & "           palette and dropped onto the diagram." & ""
			Me.label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
			' 
			' gradientPanel1
			' 
			Me.gradientPanel1.BackgroundColor = New Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, New System.Drawing.Color() { System.Drawing.Color.FromArgb((CInt(Fix((CByte(231))))), (CInt(Fix((CByte(239))))), (CInt(Fix((CByte(250)))))), System.Drawing.Color.FromArgb((CInt(Fix((CByte(218))))), (CInt(Fix((CByte(231))))), (CInt(Fix((CByte(249)))))), System.Drawing.Color.FromArgb((CInt(Fix((CByte(218))))), (CInt(Fix((CByte(231))))), (CInt(Fix((CByte(249)))))), System.Drawing.Color.FromArgb((CInt(Fix((CByte(234))))), (CInt(Fix((CByte(242))))), (CInt(Fix((CByte(252)))))), System.Drawing.Color.FromArgb((CInt(Fix((CByte(250))))), (CInt(Fix((CByte(252))))), (CInt(Fix((CByte(254))))))})
			Me.gradientPanel1.BorderColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(120))))), (CInt(Fix((CByte(149))))), (CInt(Fix((CByte(182))))))
			Me.gradientPanel1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
			Me.gradientPanel1.Controls.Add(Me.button1)
			Me.gradientPanel1.Controls.Add(Me.menuStrip1)
			Me.gradientPanel1.Dock = System.Windows.Forms.DockStyle.Top
			Me.gradientPanel1.Location = New System.Drawing.Point(0, 0)
			Me.gradientPanel1.Name = "gradientPanel1"
			Me.gradientPanel1.Size = New System.Drawing.Size(749, 25)
			Me.gradientPanel1.TabIndex = 154
			' 
			' splitter1
			' 
			Me.splitter1.Dock = System.Windows.Forms.DockStyle.Right
			Me.splitter1.Location = New System.Drawing.Point(538, 25)
			Me.splitter1.MinSize = 5
			Me.splitter1.Name = "splitter1"
			Me.splitter1.Size = New System.Drawing.Size(5, 466)
			Me.splitter1.TabIndex = 155
			Me.splitter1.TabStop = False
			' 
			' button1
			' 
			Me.button1.Location = New System.Drawing.Point(467, 0)
			Me.button1.Name = "button1"
			Me.button1.Size = New System.Drawing.Size(114, 23)
			Me.button1.TabIndex = 9
			Me.button1.Text = "Change Text"
			Me.button1.UseVisualStyleBackColor = True
'			Me.button1.Click += New System.EventHandler(Me.button1_Click);
			' 
			' MainForm
			' 
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.BackColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(191))))), (CInt(Fix((CByte(219))))), (CInt(Fix((CByte(254))))))
			Me.ClientSize = New System.Drawing.Size(749, 546)
			Me.Controls.Add(Me.diagram1)
			Me.Controls.Add(Me.splitter1)
			Me.Controls.Add(Me.splitContainer1)
			Me.Controls.Add(Me.paletteGroupBar1)
			Me.Controls.Add(Me.gradientPanel1)
			Me.Controls.Add(Me.label5)
			Me.Font = New System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
			Me.Icon = (CType(resources.GetObject("$this.Icon"), System.Drawing.Icon))
			Me.MainMenuStrip = Me.menuStrip1
			Me.Name = "MainForm"
			Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
			Me.Text = "Quick Start Sample"
			CType(Me.model1, System.ComponentModel.ISupportInitialize).EndInit()
			CType(Me.diagram1, System.ComponentModel.ISupportInitialize).EndInit()
			CType(Me.paletteGroupBar1, System.ComponentModel.ISupportInitialize).EndInit()
			Me.paletteGroupBar1.ResumeLayout(False)
			Me.splitContainer1.Panel1.ResumeLayout(False)
			Me.splitContainer1.Panel2.ResumeLayout(False)
			Me.splitContainer1.ResumeLayout(False)
			Me.pnlTrackLineStyle.ResumeLayout(False)
			Me.pnlTrackLineStyle.PerformLayout()
			CType(Me.upDownWidth, System.ComponentModel.ISupportInitialize).EndInit()
			Me.menuStrip1.ResumeLayout(False)
			Me.menuStrip1.PerformLayout()
			CType(Me.gradientPanel1, System.ComponentModel.ISupportInitialize).EndInit()
			Me.gradientPanel1.ResumeLayout(False)
			Me.gradientPanel1.PerformLayout()
			Me.ResumeLayout(False)

		End Sub

		#End Region
		#End Region

		#Region "Main"
		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread> _
		Public Shared Sub Main()
			Application.Run(New MainForm())
		End Sub
		#End Region

		Private Sub copyToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles copyToolStripMenuItem.Click
			Me.diagram1.Controller.Copy()
		End Sub

		Private Sub pasteToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles pasteToolStripMenuItem.Click
			Me.diagram1.Controller.Paste()
			Me.diagram1.Refresh()
			'
			'Loop to see which all items are pasted
			'
			For i As Integer = 0 To Me.diagram1.Controller.SelectionList.Count - 1
				Console.WriteLine("The item pasted was: " & Me.diagram1.Controller.SelectionList(i).Name.ToString())
			Next i
		End Sub

		'
		'The main entry point that checks for invalid connectors and deletes them from the diagram
		'
		Private Sub invalidsCheckAndDeleteToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles invalidsCheckAndDeleteToolStripMenuItem.Click
			'this.diagram1.SelectAll();
			Console.WriteLine(Me.diagram1.Model.Nodes.Count.ToString())
			If Me.diagram1.Model.Nodes.Count > 0 Then
				For i As Integer = 0 To Me.diagram1.Model.Nodes.Count - 1
					If TypeOf Me.diagram1.Model.Nodes(i) Is OrthogonalConnector Then
						Dim m_connector As OrthogonalConnector = TryCast(Me.diagram1.Model.Nodes(i), OrthogonalConnector)
						If m_connector.FromNode IsNot Nothing OrElse m_connector.ToNode IsNot Nothing Then
							If m_connector.ToNode Is Nothing Then
								MessageBox.Show("The connector: " & m_connector.Name.ToString() & " has HeadEndPoint Disconnected")
								broken_connectors.Add(m_connector)
							End If
							If m_connector.FromNode Is Nothing Then
								MessageBox.Show("The connector: " & m_connector.Name.ToString() & " has TailEndPoint Disconnected")
								broken_connectors.Add(m_connector)
							End If
						End If
						If m_connector.FromNode Is Nothing AndAlso m_connector.ToNode Is Nothing Then
							MessageBox.Show("The connector: " & m_connector.Name.ToString() & " is Completely Disconnected")
							broken_connectors.Add(m_connector)
						End If
					End If
				Next i
			End If
			MessageBox.Show("The total number of broken Orthogonal links " & Me.broken_connectors.Count.ToString() & Constants.vbLf & " are being removed from diagram!")
			Me.diagram1.Model.RemoveRange(broken_connectors)
			Me.diagram1.Refresh()
			MessageBox.Show("All the broken orthogonal links have been removed from diagram successfully.")
		End Sub

		'
		'To change the text programmatically
		'                                              -   AJEET [SYNCFUSION]
		Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button1.Click
			For Each node As Node In Me.diagram1.Model.Nodes
				If TypeOf node Is Group Then
					Dim t_group As Group = TryCast(node, Group)
					Dim t_node As TextNode = TryCast(t_group.GetChildByName("My Text"), TextNode)
					If t_node IsNot Nothing Then
						t_node.Text = "Hey Text Changed!"
						t_node.SizeToText(SizeF.Empty)
					End If
				End If
			Next node
		End Sub
	End Class
End Namespace
